A portable, open-source, coherent noise-generating library for C++

Main Page | Modules | Class Hierarchy | Class List | File List | Class Members

# noise::module::Checkerboard Class Reference
[Generator Modules]

`#include <checkerboard.h>`

Inheritance diagram for noise::module::Checkerboard:

List of all members.

## Detailed Description

Noise module that outputs a checkerboard pattern.

This noise module outputs unit-sized blocks of alternating values. The values of these blocks alternate between -1.0 and +1.0.

This noise module is not really useful by itself, but it is often used for debugging purposes.

This noise module does not require any source modules.

## Public Member Functions

| Checkerboard ()
| Constructor.
virtual int | GetSourceModuleCount () const
| Returns the number of source modules required by this noise module.
virtual double | GetValue (double x, double y, double z) const
| Generates an output value given the coordinates of the specified input value.

## Member Function Documentation

virtual int noise::module::Checkerboard::GetSourceModuleCount | ( |  | ) | const`[inline, virtual]`

Returns the number of source modules required by this noise module.

Returns:
  The number of source modules required by this noise module.

Implements noise::module::Module.

double Checkerboard::GetValue | ( | double | x,
|  | double | y,
|  | double | z
| ) | const`[virtual]`

Generates an output value given the coordinates of the specified input value.

Parameters:

  | x | The x coordinate of the input value.
  | y | The y coordinate of the input value.
  | z | The z coordinate of the input value.

Returns:
  The output value.

Precondition:
  All source modules required by this noise module have been passed to the SetSourceModule() method.

Before an application can call this method, it must first connect all required source modules via the SetSourceModule() method. If these source modules are not connected to this noise module, this method raises a debug assertion.

To determine the number of source modules required by this noise module, call the GetSourceModuleCount() method.

Implements noise::module::Module.

The documentation for this class was generated from the following files:

- checkerboard.h
- checkerboard.cpp